Name:           python-utf8-locale
Version:        1.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Detect a UTF-8-capable locale for running programs in

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://devel.ringlet.net/devel/utf8-locale/
Source:         %{pypi_source utf8_locale}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'utf8-locale' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-utf8-locale
Summary:        %{summary}

%description -n python3-utf8-locale %_description


%prep
%autosetup -p1 -n utf8_locale-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-utf8-locale -f %{pyproject_files}


%changelog
%autochangelog